Cubase 9.5.41 update available

What happens? Are you running the latest Mashine software?

It won’t install for me - I get ‘another installation is in progress’ error message and there is no other installation in progress!

Any thoughts?

Assuming you are on a Windows computer, restart and then run the update as an Administrator (right click the file and choose that option). Does that help?

For the people who say loading FX chain presets works are these being made in new songs or old ones created in 9.5.4? I’m still having issues loading presets that I have saved there. I’m loading the old project, saving the preset, and then trying to open in a new project. So the presets are being made in 9.5.41 but the original project was made in 9.5.4.

They get blacklisted, they worked just fine with 9.5.30, literally minutes before I installed 9.5.41.

Can I install a version of Cubase 9.5.41 alongside my 9.5.2?

does one need to download 9.5.40 and install before downloading and installing 9.5.41?

To follow up. I had to uninstall 9.5 and reinstall to get them to work again. Rolling back 9.5.41 did not work. I’m back on 9.5.30 now and things seem to be working fine.

Hi Matthias,
I have a couple suggestions that might help. I work on code that gets rolled out to millions of users on a regular basis, it never goes off without a hitch, we have to support Win XP through Win 10.

  1. Institute an alpha/beta program, even for maintenance releases. This will help you find the stuff that QA can’t. You have a lot of loyal customers who would love to have a chance to help you make Cubase better. We all like to play with shiny new things before everyone else does, so there’s that.
  2. Allow for parallel installs/updates. If an update breaks a customers system, they’re not stuck trying to figure out how to undo it and they won’t have downtime trying to do so. The stuff you would need to copy from the base is not that big, so it should be doable. Parallel updates also allow you to validate the updater, can you roll it back?
    I have a FrankenDAW and almost every commonly used plugin, I would have no problem with testing releases as long as my main production environment remains untouched and stable.
    These are pretty cheap solutions and they should allow you to crowdsource some of your QA, we all want you to succeed.
    Thanks

Just FYI, I thought it was funny and in a way, very appropriate given that this has been an issue for so long…

No

in a perfect world, this would be exactly what happens. But you must remember that Steinberg comes from Germany. Many have suggested exactly this and have been ignored. Maybe this time will be different? i have my fingers crossed. i want them to succeed also

This is an excellent post.
Id’ give any new version a go as long as I have my stable installation. I’m still slumming it on 9.5.2 because .3 broke everything (literally)

[/quote]
Id’ give any new version a go as long as I have my stable installation. I’m still slumming it on 9.5.2 because .3 broke everything (literally)
[/quote]

Same here! :neutral_face:

Many of us have made suggestions like these, but Steinberg remains a “move fast and break things” kind of a company. Users must pick up the broken pieces. It’s been this way for years and is not likely to change anytime soon.

Pleased to have a working update after .30 and .40. Issue with multiple DOP processes on affecting part of the file seems to be resolved with .41, and testing different bypasses working smoothly, despite not being listed in the fixes.

The only outstanding issue is the finicky nature of sending to RX6. Sometimes it stays stuck on ‘Capturing audio…’ and the Repair buttons don’t activate.

Unbypass still actually means 'throw away all my RX work and send it back to RX to start over again. Before DOP the RX Connect exchange worked flawlessly. Undo/redo in Cubase was a better option than an unworkable bypass. Wish the old process menu was still an option.

Other than that it’s great. So thanks for the .41 hotfix.

Thanks a lot for the update coming soon and working well!

It is possible to have parallel installs with a workaround. Just copy the the cubase folder in program files before the update. Call it cubase 9.30 or whatever version it is. It will work from that folder. You can even place the folders on other drives if you want to. If you don’t like the 9.41 just delete it and rename your backup folder back to what it was. It is an at your own risk method and there might come a point it fails, but it worked here with an older version.

so I can’t open a project in 9.5.21 if I saved it with 9.5.41? (see pic)

I had some asio-freezes, so I removed the 9.5.41 update from windows programs&features. I don’t remember having this problem with previous verisons, I thought the cpr files are backwards compatible.
Untitled.jpg

I work in 5.1 and here are few issues:

  • Channel Settings/inser Routing tab: no scroll and the Routing for inserts 8 and up are unreachable
  • Mixconvert (5.1 to 2) when used in send or channel out the interface appears as very older version of the plugin (looks like a old Nuendo I think)

  • channel VST MultiPanner is different (I think it is also from Nuendo)

On my older version 9.5.3 everything is fine.
I tried replacing in 9.5.41 the surroundpanner.vst3 and Mixconvert.dll from 9.5.3 but nothing changed.
Can someone tel me which files/dll I have to replace so I can get back the regular VST MultiPanner and Mixconvert?